<template>
 <div >
     <search-bar></search-bar>
     <table class="table table-striped- table-bordered table-hover table-checkable" id="m_table_1">
       <thead class="thead-custome">
            <tr>
               <th>{{$t('global.no')}}</th>
               <th>{{$t('purchase.end_item')}}</th>
               <th>{{$t('purchase.order_number')}}</th>
               <th>{{$t('purchase.date')}}</th>
               <th>{{$t('purchase.unit_price')}}</th>
               <th>{{$t('purchase.currency')}}</th>
               <th>{{$t('purchase.unit')}}</th>
               <th>{{$t('purchase.count')}}</th>
               <th>{{$t('global.opreation')}}</th>
            </tr>
        </thead>
        <tbody>
            <tr v-for="(item,index) in main_data" :key="item.id" :id="item.id">
                <td>{{index+=1}}</td>
                <td>{{item.end_item.end_item_details_dr}}</td>
                <td>{{item.order_number}}</td>
                <td>{{item.order_date}}</td>
                <td>{{item.unit_price}}</td>
                <td>{{item.currency.name_dr}}</td>
                <td>{{item.unit.name_dr}}</td>
                <td>{{item.number_of_item}}</td>
                <td>
                    <router-link :to="'/items/purchase/view/'+item.id">
                        <i class="fa fa-eye"></i>
                    </router-link>
                    <router-link :to="'/items/purchase/edit/'+item.id">
                        <i class="fa fa-edit"></i>
                    </router-link>
                    <div class="badge delete" @click="deletData(item.id)">
                        <i class="fa fa-trash"></i>
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
</div>
</template>
<script>
    import SearchBar from '../table_component/SearchBare.vue';
    import SubmitForm from '../../router/SubmitForm.js';
    export default {
        mixins: [SubmitForm],
        name: 'PurchaseIndex',
        components: {
            'search-bar': SearchBar
        },
        data() {
            return {
                'url': 'api/purchase'
            }
        },
        created(){
            this.getData();
        }
    }
</script>
